import request from '@/utils/request'

// 查询课件列表
export function listFile(query) {
  return request({
    url: '/elearn/resource/listFile',
    method: 'get',
    params: query
  })
}

// 查询学习资料管理列表
export function listResource(query) {
  return request({
    url: '/elearn/resource/list',
    method: 'get',
    params: query
  })
}

// 查询学习资料管理详细
export function getResource(id) {
  return request({
    url: '/elearn/resource/' + id,
    method: 'get'
  })
}

// 新增学习资料管理
export function addResource(data) {
  return request({
    url: '/elearn/resource',
    method: 'post',
    data: data
  })
}

// 修改学习资料管理
export function updateResource(data) {
  return request({
    url: '/elearn/resource',
    method: 'put',
    data: data
  })
}

// 删除学习资料管理
export function delResource(id) {
  return request({
    url: '/elearn/resource/' + id,
    method: 'delete'
  })
}

// 导出学习资料管理
export function exportResource(query) {
  return request({
    url: '/elearn/resource/export',
    method: 'get',
    params: query
  })
}
